org.apache.lucene.analysis.pt

## Class RSLPStemmerBase.Step

- java.lang.Object
- - org.apache.lucene.analysis.pt.RSLPStemmerBase.Step

Enclosing class:
  RSLPStemmerBase

    protected static class RSLPStemmerBase.Step
    extends Object

A step containing a list of rules.

### Field Summary

Fields
`protected int` `min`
`protected String` `name`
`protected RSLPStemmerBase.Rule[]` `rules`
`protected char[][]` `suffixes`

### Constructor Summary

Constructors
Constructor and Description
`Step(String name, RSLPStemmerBase.Rule[] rules, int min, String[] suffixes)` Create a new step

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `apply(char[] s, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected final String name

#### rules

    protected final RSLPStemmerBase.Rule[] rules

#### min

    protected final int min

#### suffixes

    protected final char[][] suffixes

### Constructor Detail

#### Step

    public Step(String name,
                RSLPStemmerBase.Rule[] rules,
                int min,
                String[] suffixes)

Create a new step

Parameters:
  `name` - Step's name.
  `rules` - an ordered list of rules.
  `min` - minimum word size. if this is 0 it is automatically calculated.
  `suffixes` - optional list of conditional suffixes. may be null.

### Method Detail

#### apply

    public int apply(char[] s,
                     int len)

Returns:
  new valid length of the string after applying the entire step.